Edit La Cross WS2300 Weather Station Data File - by Mike Robinson

Software by Mike Robinson
History.Dat File Editor
Edit La Cross WS2300 Weather Station History.Dat File

Download

Download Download Home Home Purchase Purchase

This program can edit the History.Dat files created with a La Cross WS2300 home weather station. The HeavyWeather 2.0 software, provided free by La Cross, extracts weather data from all series 2300 stations. Specifically these models are WS-2308, WS-2310, WS-2315, WS-2316, and WS-2317. My program here can edit the History.Dat files produced by HeavyWeather 2.0. It is a file editor and does not access the weather station hardware.

You can edit, delete, cut, copy, or paste - one value or entire lines. Copy from one file to another.

Merge files and then automatically eliminate duplicate readings in the combined file.

Make an excel spreadsheet or save in 9 file types: WS2300 native History.Dat, text , text comma delimited , CSV semicolon delimited , web page , rich text , BMP , JPG , PNG , GIF .

Can edit the data summary at the end of the History.Dat file that contains two values for previous rain total accumulation.

This program includes two columns on the right that you will not find anywhere else: 1 Period Rain and 4 Period Rain . The History.Dat file only shows the total accumulated rain. My program calculates and displays the difference between each reading so you can see recent rain activity. 4 Period Rain is the rain accumulated over the last 4 periods. If your data is hourly, it will be the rain over the last 4 hours.

This demo version has all functions except you can not save the edited History.Dat file. There is no time limit. Evaluate the program and decide if you would like to purchase it for $20. If you do buy the program and are not happy with it for any reason, I will refund all your money with no questions asked. Purchase once and all future updates are free. Contains no spyware and no advertising.

Click the top of a column to sort the data by that column values. Click again to sort in the opposite direction. Files are saved in the displayed sort order.

Click the headings and drag the columns around to any order. Right-click on the headings to add or remove columns. Click the edge of a column and drag to adjust the width. Removed columns are made invisible and not included in the saved files. The column arrangement in the saved files is the same as shown on screen. The program saves and restores the column arrangement the next time it is run. Press the Reset Cols button to restore all columns to display all columns in original order shown above.

Here is an example of the Excel spreadsheet:

To create Excel files, you must have a copy of Microsoft Excel installed on the computer.

This is a 32 bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, and Windows 8. It also runs OK on 64-bit systems.

See the bottom of this page if you would like to purchase History.Dat Editor for just $20.00 (Twenty US Dollars). If you purchase the program I will send you a serial number by email that will enable file save. Pay once and all future upgrades are free. Your serial number will work with all future versions. It contains no time limits, no nag screens, no spyware, and no advertising.

See below for installation instructions.

Single Cell Edit Mode

Click on a cell and type in a new value. Or select one or more cells and right-click to popup the menu to cut, copy, or paste that cell to/from the clipboard. You can also paste in a column of data copied from elsewhere in this file (or a different file.) To do this, copy the data to the clipboard and then select the top cell in the new location and execute the paste command. The data will be pasted into this cell and the cells below it in the same order as copied to the clipboard.

To select multiple cells in one column, press and hold down the Ctrl key and click on the cells to select. Like Windows Explorer, you can click on one cell, hold down the Shift key, and select another cell. All of the cells between the two will also be selected. Cut, copy, and paste in cell edit mode can only be used in one column at a time.

Full Line Edit Mode

In this case, the entire line is affected, not just a single cell. Selected lines can be deleted, cut to the clipboard, or copied to the clipboard. Lines copied from elsewhere in this file (or a different file) can be pasted in from the clipboard. Right-click to popup menu of commands or access the same commands in the Edit item in the main top menu line.

Click on one line to select the line. To select multiple lines, press and hold down the Ctrl key and click on the lines to select. Like Windows Explorer, you can click on one line, hold down the Shift key, and select another line. All of the lines between the two will also be selected.

Column Operations

Column operations are similar to the Microsoft file manager (Windows Explorer.)

The next time you start the program it will remember which columns are on and off, column locations, and column widths.

Actions Menu

Edit Summary in File... Edits the summary data record at the end of every History.Dat file. This data is automatically updated. Normally there is no need to edit this data. My program does not use this data but there may be other programs that do use this data, so be careful.

There are seven values you can edit here:

Marker - Do not change this number. You have been warned. It is a special "marker" number that some programs may use to find this data record. My program does not use it. In decimal the number is 558065031 but as seen as 4 hexadecimal bytes in the History.Dat file the number is: 87 65 43 21.

Rain 1 - Summary depth of rain over some previous period. Some programs may use this. My program does not use it.

Rain 2 - Summary depth of rain over another previous period. Some programs may use this. My program does not use it.

Unknown - Unknown. You can change this value.

Rows - Number of data points (rows) in this file. My program automatically updates this value when History.Dat is saved.

First Date Time - The date/time of the oldest data point in the file. My program automatically updates this value when History.Dat is saved.

Last Date Time - The date/time of the newest data point in the file. My program automatically updates this value when History.Dat is saved.

Delete Duplicate Lines... Finds two data points that have identical values and offers the option to delete one of them.

Press the Delete button to delete this duplicate reading. Press the Delete All button and the rest of the duplicates in this file will be deleted without asking for confirmation.

File Menu

Open File... Opens and displays a History.Dat file. Closes current file if required.

Add File... Add the contents of another History.Dat file to the current display History.Dat file. You can then save the combined file. If you do not save then no files are changed.

New File - Creates a new blank History.Dat file. You can then cut and paste data from other History.Dat files and save the new file.

Save File - Saves the current display data as a History.Dat file with the same file name. Overwrites the old file if it exists.

Save File As... Saves all the current display as a file in one of six formats:

History.Dat (*.dat)
Text (Space Delimited) (*.txt)
Text (SemiColon Delimited) (*.txt)
CSV (Comma Delimited) (*.csv)
Web Page (*.html)
Rich Text (*.rtf)

Save Selected As... Saves only the selected (highlighted) lines in the display as a file in one of the above six file formats.

Save Image As... Saves an image of the current display as one of 4 file types:

BMP Image (*.bmp)
JPG Image (*.jpg)
PNG Image (*.png)
GIF Image (*.gif)

Make Excel All... Make Excel file of data including all lines. The Excel button on top line also performs this function.

Make Excel Selected... Make Excel file of data including only the selected (highlighted) lines in the display.

Right-Click PopUp Menu and Top Edit Menu

The right-click popup menu and the edit menu on top are identical. If Cell Edit Mode box is checked these commands affect selected cells. If box not checked then these commands apply to selected lines.

Click on a cell to select the cell (or line.) Then right-click on the cell (or line) to bring up the menu.

Undo - Undo the last operation. If a line was cut or deleted it is restored. If a cell was edited it reverts to its original value.

UnSelect All - Remove all cell (or line) selections.

Select All - Select all lines. Available in line mode only.

Cut - Cut the selected lines from the display and copy the values to the Windows clipboard. In cell edit mode the selected cells will be copied to the clipboard, but will not be erased from the display since every cell must have a number value and cannot be blank.

Copy - Copy the selected cells (or lines) to the Windows clipboard.

Paste - Paste the windows clipboard to the selected cell (or line.) If the clipboard has more than one line the additional lines are pasted below the selected cell (or line.) In line edit mode, only lines cut, or copied, using my program can be pasted. The required clipboard format used is unique to my program. Other formats will not be recognized and will not paste.

Delete - Delete the selected cells (or lines.) In cell edit mode the value will revert to the original value if left blank. Values deleted here are not copied to the clipboard.

Options Menu

Settings... Allows you to change the Data Validation Limits and the Date format. The program uses your system date settings by default. If you want to change the date format you can do that here. Enter the time and date codes in the white boxes and the sample box displays the result. These values are saved the next time you exit the program if you have the Save Settings on Exit box checked.

Stay On Top - Program window remains on top of other windows.

Stick to Screen Edge - Edge of the program window aligns with the edge of the screen when moved close to the top, sides, or bottom of the screen.

Show Hints - Buttons and drop-downs display a hint when the mouse cursor is moved over the item.

Auto Fit Column Width - When changes are made to the display the program automatically adjust the column widths to show all data.

Make Backup File - When a History.Dat file is saved the old History.Dat file is renamed to History.Bak as a backup file. If a previous History.Bak file exists it is deleted.

Save Settings On Exit - The program saves many of its settings when it closes such as window size, location, and the column arrangement.

Check Boxes

Cell Edit Mode - There are 2 edit modes. Check this box to turn on individual cell edit mode. Uncheck this box to enable full line edit mode.

Validate Data - When displaying and editing data the program checks if the value is in allowable range. If not within range the data is displayed as a dash. These range limits can be changed in the Options menu on the top line. Select Settings and edit the Data Validation Limits. These values are saved in the Registry when the program closes.

Max Min Red - Check this box and the highest and lowest value for each measurement type is displayed in red letters. For example, the highest and lowest temperature is shown red. The Wind Direction and Rain Total are not shown red because there are too many identical high and low values.

Button & Drop-Down Unit Selection

Reset Cols - Reset column display. Make all columns visible, restore initial column order and width of each column.

Temperature - Select Temperature °F or Temperature °C.

Rain Depth - Select Rain Inches or Rain MM.

Barometric Pressure - Select Inches Mercury or HectoPascals.

Wind Speed - Select Miles per Hour, Meter per Sec, Knots, Beaufort, or KM per Hour.

Decimal Places - Select from 0 to 9 Decimal Places for all displayed data.

Install

Download the executable file historydateditor.exe. Then just run the program.

UnInstall

To uninstall simply delete the files.

Saved Settings

When the program closes it remembers all of its settings by saving them in the Windows registry. It saves the size and location of the program on your desktop. It saves the columns displayed and the display order.

Support

Send your questions and comments to: ElegantPie@HotMail.com

I fully support this program and will usually answer within 24 hours.

The latest version is always available on my Home Page:

http://www.elegantpie.com

Legal Stuff

This program is Copyright © 2013 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

1.0.0 May 26, 2013 Initial Public Release.

To create Excel files, you must have a copy of Microsoft Excel installed on the computer.

Purchase

This demo version has all functions except you can not save the edited History.Dat file. There is no time limit. Evaluate the program and decide if you would like to purchase it for $20. If you do buy the program and are not happy with it for any reason, I will refund all your money with no questions asked.

If you purchase the program I will send you a serial number by email that will enable file save. Pay once and all future upgrades are free. Your serial number will work with all future versions. It contains no time limits, no nag screens, no spyware, and no advertising.

The purchase price is $20.00 (Twenty) US Dollars. I accept major credit cards, PayPal , or personal checks. Press one of the links below and your browser will open and go to PayPal with all the purchase information already filled out. You can use PayPal to pay by credit card even if you do not have a PayPal account. The total cost to you is $20.00. No fees or additional charges. Use your Visa, Mastercard, American Express, or Discover card. PayPal is a very secure and reliable payment system used by millions of people around the world.

Pay with credit card or PayPal Use your Credit Card.

Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. You can check that I am verified by clicking the PayPal Verified Seal above or by clicking on this link:

https://www.paypal.com/us/verified/pal=elegantpie%40hotmail.com

I use PayPal because the fees are low. All other payment services take several dollars so I would have to charge around $25 for my program to gain the same net. This lowers the cost to you. There are no additional fees. You pay only $20. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world. All of your personal information is encrypted. The PayPal address begins with "https" and the "s" at the end means it is a secured website and your information is encrypted by your browser before being sent over the internet.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com